> ## Documentation Index
> Fetch the complete documentation index at: https://pearsdb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Methods

> Get a user's connected payout methods.



## OpenAPI

````yaml GET /v2/users/{user_id}/payout-methods
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: apps
    description: App Routes
  - name: checkout-sessions
    description: Checkout Session Routes
  - name: disputes
    description: Disputes Routes
  - name: flows
    description: Flow routes
  - name: payments
    description: Payment Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payment-intents
    description: Payment Intent Routes
  - name: payment-methods
    description: Payment Method Routes
  - name: payouts
    description: Payout Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: transactions
    description: Transaction Routes
  - name: transfers
    description: Transfer routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: users
    description: User routes
paths:
  /v2/users/{user_id}/payout-methods:
    parameters:
      - schema:
          type: string
          format: uuid
        name: user_id
        in: path
        required: true
        description: Id of the user to fetch
    get:
      tags:
        - users
      summary: Retrieve a Payout Method
      description: Get a user's connected payout methods.
      operationId: get-payout-methods
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                description: Array of payout methods registered to the user.
                items:
                  $ref: '#/components/schemas/payment-method'
components:
  schemas:
    payment-method:
      type: object
      properties:
        id:
          type: string
          description: ID of the `payment-method`.
        platform:
          enum:
            - ach
            - paypal
            - venmo
            - cash_app
            - intl_transfer
          type: string
        description:
          type: string
        mask:
          type: string
        email:
          type: string
        phone_number:
          type: string
        cash_tag:
          type: string
        country:
          type: string
          format: iso3166
        currency:
          type: string
          format: iso4217
      required:
        - platform
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````